# PlotMM::Rectangle Class Reference

List of all members.

## Detailed Description

Extends Gdk::Rectangle with some useful methods.

## Public Member Functions

| Rectangle (int x, int y, int width, int height)
int | get_x_min () const
int | get_x_max () const
int | get_y_min () const
int | get_y_max () const
int | get_abs_width () const
int | get_abs_height () const
void | set_rect (int x, int y, int width, int height)
void | set_points (int x1, int y1, int x2, int y2)
void | set_origin (int x, int y)
void | set_destination (int x, int y)

## Member Function Documentation

int PlotMM::Rectangle::get_abs_height | ( |  | ) | const

| Returns rectangle's absolute height.

int PlotMM::Rectangle::get_abs_width | ( |  | ) | const

| Returns rectangle's absolute width.

int PlotMM::Rectangle::get_x_max | ( |  | ) | const

| Returns rectangle's highest x.

int PlotMM::Rectangle::get_x_min | ( |  | ) | const

| Returns rectangle's lowest x.

int PlotMM::Rectangle::get_y_max | ( |  | ) | const

| Returns rectangle's highest y.

int PlotMM::Rectangle::get_y_min | ( |  | ) | const

| Returns rectangle's lowest y.

void PlotMM::Rectangle::set_destination | ( | int | x,
|  | int | y
| ) |

| Set the other of two opposing corners.

void PlotMM::Rectangle::set_origin | ( | int | x,
|  | int | y
| ) |

| Set one of two opposing corners.

void PlotMM::Rectangle::set_points | ( | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2
| ) |

| Set two opposing corners.

void PlotMM::Rectangle::set_rect | ( | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) |

| Set rectangle by specifying one corner and with/height.